#ifndef QPAGEDTABLEPAGE_H
#define QPAGEDTABLEPAGE_H

#include <QtMath>

class QPagedTablePage
{
public:
    QPagedTablePage() {};
    ~QPagedTablePage() {};

    int tableRowCount = 15;
    int currentPage = 0;
    int totalPage = 0;
    int totalCount = 0;

    void calcTotalPage(int totalCount)
    {
        this->totalCount = totalCount;
        double temp = (totalCount * 1.0) / (tableRowCount * 1.0);
        totalPage = ceil(temp);
    }
};

#endif // QPAGEDTABLEPAGE_H
